@Tampermonkey script writers: Do we have to expect any problems with the upcoming Google Manifest V3?

The newest Tampermonkey version just told me that I have to enable the developer mode now to run userscripts in chrome based browsers:

It is necessary to enable developer mode to run userscripts via Tampermonkey now .
Instructions on how to enable it can be found here.

Do you know any restrictions in your scripts if I do not enable the developer mode?
Is this newest Manifest V3 only important for specialized scripts like Adblocker?

3 Likes

Thanks for the info!
Here is the Violentmonkey issue ticket about that so called Manifest V3.

I guess you will simply not be able to run any userscripts when Chrome removes Manifest V2, if you don’t do what they say. :smiley: